<?php
	include ('include/config.php');
	include ('include/admin_check.php');
	include ('include/functions.php');
	
	$oldal = $_GET["old"] ;
	
	if ($oldal < 1) {
		$oldal = 1 ;
	}

	$kezdo = $oldal * $talalat_oldalankent - $talalat_oldalankent ;		//Beállítjuk az sql limit alsó küszöbét

	$query = "select count(*) as szam from hirlevel_archivum where id > 0" ;
	$result = lekerdez($query) ;
	$talalatszam = mysqli_result($result, 0, "szam") ;
	mysqli_free_result($result) ;

	$query = "select hirlevel_csoportok.nev, hirlevel_archivum.id, hirlevel_archivum.targy, hirlevel_archivum.hirlevel_csoport, hirlevel_archivum.datum, hirlevel_archivum.kikuldott_db, hirlevel_archivum.statusz from hirlevel_archivum left join hirlevel_csoportok on (hirlevel_archivum.hirlevel_csoport = hirlevel_csoportok.id) where hirlevel_archivum.id > 0 $szuro_query order by datum desc limit $kezdo, $talalat_oldalankent" ;
	$result = lekerdez($query) ;
	$hirlevelek = array() ;
	if (mysqli_num_rows($result) > 0) {
		while ($sor = mysqli_fetch_array($result)) {
			$hirlevelek[] = $sor ;
		}
		mysqli_free_result($result) ;
	}
	
	$oldalszam = ceil($talalatszam / $talalat_oldalankent) ;
	
	if ($oldal > 1) {
	  $elozo = $oldal-1 ;
	}
	else
	{
		$elozo = "" ;
	}
	if ($oldal < $oldalszam) {
	  $kov = $oldal+1 ;
	}
	else
	{
		$kov = "" ;
	}

	
?>
<!DOCTYPE html>

<html lang="hu">

  <head>

    <meta charset="utf-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta name="description" content="">

    <meta name="author" content="">



    <title><?php echo $admin_title;?> Admin: Hírlevél archívum</title>



    <!-- Bootstrap core CSS -->

    <link href="css/bootstrap.css" rel="stylesheet">



    <!-- Add custom CSS here -->

    <link href="css/sb-admin.css" rel="stylesheet">

    <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

    <!-- Page Specific CSS -->

    <link rel="stylesheet" href="http://cdn.oesmith.co.uk/morris-0.4.3.min.css">



  </head>



  <body>



    <div id="wrapper">

	

	<?php include "inc_sidebar_top.php"?>      



      <div id="page-wrapper">



        <div class="row">

          <div class="col-lg-12">

            <h1>Hírlevél archívum</h1>

<?php
	if (count($_SESSION["hiba"]) > 0) {
		echo '<div class="col-lg-12">' ;
		foreach ($_SESSION["hiba"] as $hibasor) {
			$class = "alert-danger" ;
			if ($hibasor["tipus"] == "success") {
				$class = "alert-success" ;
			}
			echo '<div class="alert alert-dismissable ' . $class . '">'.$hibasor["szoveg"].'</div>' ;
		}		
		echo '</div>' ;
		unset($_SESSION["hiba"]) ;
	}
?>	
          </div>

        </div><!-- /.row -->





        <div class="row">   

          <div class="col-lg-12">

            <div class="table-responsive">

              <table class="table table-bordered table-hover table-striped tablesorter">

                <thead>

                  <tr>

                    <th>Hírlevél tárgya</th>

                    <th>Kiküldés dátuma</th>

                    <th>Kiküldött darabszám</th>
                    
                    <th>Státusz</th>

                    <th></th>

					<th></th>
                  </tr>

                </thead>

                <tbody>
<?php
	for ($i=0;$i<count($hirlevelek);$i++) {
?>
                  <tr>

                    <td><?php echo $hirlevelek[$i]["targy"];?></td>

                    <td><?php echo $hirlevelek[$i]["datum"];?></td>
                    
					<td><?php echo $hirlevelek[$i]["kikuldott_db"];?></td>
                    
                    <td><?php echo $hirlevelek[$i]["statusz"];?></td>
                    
                    <td><?php if ($hirlevelek[$i]["statusz"] == "folyamatban") {?><input type="button" value="Folytatás" onClick="javascript:folytatas('<?php echo $hirlevelek[$i]["id"];?>');"><?php } ?></td>
                    
                    <td><button type="button" class="btn btn-default" onclick="javascript:newsletter_view('<?php echo $hirlevelek[$i]["id"];?>')">Megtekint</button></td>

                  </tr>
<?php
}
?>

                </tbody>

              </table>     
              
              <div class="text-center">
              <ul class="pagination">
<?php 
	$elozo_class = ' class="disabled"' ;
	if ($elozo != "") {
		$elozo_class="" ;	
	}
?>
     <li<?php echo $elozo_class;?>><a href="newsletter-archive.php?old=<?php echo $elozo;?>">&laquo;</a></li>
	<?php 
		for ($i=1;$i<=$oldalszam;$i++) {
			$oldal_class = "" ;
			if ($i == $oldal) {
				$oldal_class = ' class="active"' ;
			}
			echo '<li' . $oldal_class . '><a href="newsletter-archive.php?old='.$i.'">'.$i.'</a></li>';
		}
	?>

<?php 
	$kov_class = ' class="disabled"' ;
	if ($kov != "") {
		$kov_class="" ;	
	}
?>
    <li<?php echo $kov_class;?>><a href="newsletter-archive.php?old=<?php echo $elozo;?>">&raquo;</a></li> 
              </ul>
              </div>               

            </div>

            

          </div>

        </div><!-- /.row -->





      </div><!-- /#page-wrapper -->



    </div><!-- /#wrapper -->



    <!-- JavaScript -->

    <script src="js/jquery-1.10.2.js"></script>
    <script src="js/bootstrap.js"></script>
    
	<script>
		$(document).ready(function() {
			$("#nav-newsletters").addClass("open") ;
		}) ;

		function folytatas(id)
		{
			if (confirm("Biztosan folytatja a küldést?"))
		  {
				 document.location.href="formok/newsletter-send-continue.php?id="+id;
		  }
		}		
		
		function newsletter_view(id) {
			document.location.href = "newsletter-view.php?id=" + id ;	
		}		
    </script>


    <!-- Page Specific Plugins -->

    <script src="http://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>

    <script src="http://cdn.oesmith.co.uk/morris-0.4.3.min.js"></script>

    <!--<script src="js/morris/chart-data-morris.js"></script>-->

    <script src="js/tablesorter/jquery.tablesorter.js"></script>

    <script src="js/tablesorter/tables.js"></script>



  </body>

</html>

